FlxpointAPI Help CenterBeta

Get Settings

gethttps://api.flxpoint.com/settings

Use this when you want to pull account data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint allows you to retrieve the possible settings.

Settings are categorized into separate domains. In order to retrieve settings for a specific domain, pass the appropriate `handle`.

This endpoint does NOT retrieve the `values` that are configured for a specific Account, Source, Channel, Reseller, etc. The values are retrieved via separate endpoints (i.e. /sources/{sourceId}/settings)

**You must either pass `findByCategory` or `findByHandle or `findById`**

Request

Query parameters
  • findByCategoryquerystring

    A setting category handle will retrieve back all settings for a specific category. For more information on these categories, see the `handle` field description on `SettingCategory`

  • findByHandlesquerystring

    A setting handle, or a comma separate list of setting handles to retrieve.

  • findByIdqueryinteger

    A setting id, this will retrieve a setting associated with this setting id

Example request

get/settings
curl -X GET "https://api.flxpoint.com/settings" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[Setting]
idinteger
the `Setting` ID
namestringrequired
A friendly name or title for the Setting
handlestringrequired
The `handle` represents a quick human-readable version of the `id` to understand what a setting relates to. Some example handles can be found below. To retrieve a complete list of setting handles, retrieve back a list of Settings and leverage the retrieved handles. - `source.send_po_from_vendor_portal` - `source.cancel_unacknowledged_items` - `source.upload_inventory_from_vendor_portal` - `source.upload_shipment_from_vendor_portal` - `source.upload_invoice_from_vendor_portal`
typestringrequired
The type of setting. This determines how you may present the selection or setting to a user. - `string` = a short text input - `text` = a long text input - `number` = a numeric input - `img` = an image link input - `email` = a valid email address input - `boolean` = a true/false toggle choice - `select` = some form of selection, select settings means the `options` field must be populated with possible selections
allowedimgbooleantime_interval_thresholdemailstringtextselectnumberradiomultijson
valueTypestringrequired
The type of value the setting is expecting. - `integer` = a whole number value - `decimal` = a decimal number value - `string` = a short text value - `boolean` = a true/false value
allowedintegerbooleantime_interval_thresholdstringselectemaildecimalnumbermultijson
placeholderstring
An optional "placeholder" that will be used for text or numeric based inputs. Note : a placeholder is different than "defaultValue". Placeholders simply suggest a value. Often times placeholders might be used to suggest a value on an input that we cannot default for other reasons.
defaultValuestring
The `defaultValue` represents our recommended selection for a given Setting. For example, the "Protect Against Duplicate Orders" setting has a `defaultValue : true` to promote all new users to leverage this functionality by default.
descriptionstring
Description of the setting - this will appear below the setting name in the UI when a user is configuring it.
optionsstring
A field expecting a `JSON Array` in the format : `[{ "[value]" : "[descriptor]"}]` where : - `[value]` = the value of the selection that will be stored in the `value` field when saved - `[descriptor]` = a way to describe the selection to users so they know what they are choosing. An example for this is : - `payment_provider` setting - `options` : `{"1" :"Stripe" ,"2" : "Square"}` `Stripe` and `Square` appear in a dropdown. When a user chooses `Stripe` we store `1` in the `value` field.
parentSettingIdinteger
If the setting is associated to another setting, this field may be populated. For example, you may choose to `Override PO Cancellations` notifications to go to a separate email address. To do this you may configure the `notification.purchase_order_canceled.override_email` setting. This override setting has a `parentSettingId` to the standard email notification `notification.purchase_order_canceled` This field is primarily used for UI purposes to nest additional settings below a parent setting.
categoryobject
idinteger
handlestring
allowedsupplier.settingsdealer.invoice.settingsaccount.settingsnotificationsaccount.b2bchannel.settingsfeature_flagsdealer.channel.settingssource.settingsvendor.settings
namestring
Example response
[
  {
    "id": 0,
    "name": "string",
    "handle": "string",
    "type": "img",
    "valueType": "integer",
    "placeholder": "string",
    "defaultValue": "string",
    "description": "string",
    "options": "string",
    "parentSettingId": 0,
    "category": {
      "id": 0,
      "handle": "supplier.settings",
      "name": "string"
    }
  }
]
201Created

No schema documented for this status.

400Bad Request

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Settings",
    "description": "This endpoint allows you to retrieve the possible settings. \n\nSettings are categorized into separate domains. In order to retrieve settings for a specific domain, pass the appropriate `handle`. \n\nThis endpoint does NOT retrieve the `values` that are configured for a specific Account, Source, Channel, Reseller, etc. The values are retrieved via separate endpoints (i.e. /sources/{sourceId}/settings)\n\n**You must either pass `findByCategory` or `findByHandle  or `findById`**",
    "parameters": [
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "findByCategory",
        "description": "A setting category handle will retrieve back all settings for a specific category. For more information on these categories, see the `handle`  field description on `SettingCategory`"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "findByHandles",
        "description": "A setting handle, or a comma separate list of setting handles to retrieve."
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "findById",
        "description": "A setting id, this will retrieve a setting associated with this setting id"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/Setting"
              }
            }
          }
        }
      },
      "201": {
        "description": "Created"
      },
      "400": {
        "description": "Bad Request"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight